Package org.apache.lucene.index

## Class FilterVectorValues

- java.lang.Object
- - org.apache.lucene.search.DocIdSetIterator
  - - org.apache.lucene.index.FloatVectorValues
    - - org.apache.lucene.index.VectorValues
      - - org.apache.lucene.index.FilterVectorValues

-     public abstract class FilterVectorValues
      extends VectorValues

  Delegates all methods to a wrapped `FloatVectorValues`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected FloatVectorValues` | `in` | Wrapped values

    - ### Fields inherited from class org.apache.lucene.search.DocIdSetIterator

      `NO_MORE_DOCS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `FilterVectorValues​(FloatVectorValues in)` | Sole constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `advance​(int target)` | Advances to the first beyond the current whose document number is greater than or equal to target, and returns the document number itself.
    `int` | `dimension()` | Return the dimension of the vectors
    `int` | `docID()` | Returns the following: `-1` if `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` were not called yet.
    `int` | `nextDoc()` | Advances to the next document in the set and returns the doc it is currently on, or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set. NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.
    `int` | `size()` | Return the number of vectors for this field.
    `float[]` | `vectorValue()` | Return the vector value for the current document ID.

    - ### Methods inherited from class org.apache.lucene.index.FloatVectorValues

      `cost`

    - ### Methods inherited from class org.apache.lucene.search.DocIdSetIterator

      `all, empty, range, slowAdvance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### in

          protected final FloatVectorValues in

      Wrapped values

  - ### Constructor Detail

    - #### FilterVectorValues

          protected FilterVectorValues​(FloatVectorValues in)

      Sole constructor

  - ### Method Detail

    - #### docID

          public int docID()

      Description copied from class: `DocIdSetIterator`
      Returns the following:
      - `-1` if `DocIdSetIterator.nextDoc()` or `DocIdSetIterator.advance(int)` were not called yet.
      - `DocIdSetIterator.NO_MORE_DOCS` if the iterator has exhausted.
      - Otherwise it should return the doc ID it is currently on.
      Specified by:
        `docID` in class `DocIdSetIterator`

    - #### nextDoc

          public int nextDoc()
                      throws IOException

      Description copied from class: `DocIdSetIterator`
      Advances to the next document in the set and returns the doc it is currently on, or `DocIdSetIterator.NO_MORE_DOCS` if there are no more docs in the set.
      NOTE: after the iterator has exhausted you should not call this method, as it may result in unpredicted behavior.
      Specified by:
        `nextDoc` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### advance

          public int advance​(int target)
                      throws IOException

      Description copied from class: `DocIdSetIterator`
      Advances to the first beyond the current whose document number is greater than or equal to target, and returns the document number itself. Exhausts the iterator and returns `DocIdSetIterator.NO_MORE_DOCS` if target is greater than the highest document number in the set.

      The behavior of this method is undefined when called with `target ≤ current` , or after the iterator has exhausted. Both cases may result in unpredicted behavior.

      When `target > current` it behaves as if written:

           int advance(int target) {
             int doc;
             while ((doc = nextDoc()) < target) {
             }
             return doc;
           }

      Some implementations are considerably more efficient than that.

      NOTE: this method may be called with `DocIdSetIterator.NO_MORE_DOCS` for efficiency by some Scorers. If your implementation cannot efficiently determine that it should exhaust, it is recommended that you check for that value in each call to this method.

      Specified by:
        `advance` in class `DocIdSetIterator`
      Throws:
        `IOException`

    - #### dimension

          public int dimension()

      Description copied from class: `FloatVectorValues`
      Return the dimension of the vectors
      Specified by:
        `dimension` in class `FloatVectorValues`

    - #### size

          public int size()

      Description copied from class: `FloatVectorValues`
      Return the number of vectors for this field.
      Specified by:
        `size` in class `FloatVectorValues`
      Returns:
        the number of vectors returned by this iterator

    - #### vectorValue

          public float[] vectorValue()
                              throws IOException

      Description copied from class: `FloatVectorValues`
      Return the vector value for the current document ID. It is illegal to call this method when the iterator is not positioned: before advancing, or after failing to advance. The returned array may be shared across calls, re-used, and modified as the iterator advances.
      Specified by:
        `vectorValue` in class `FloatVectorValues`
      Returns:
        the vector value
      Throws:
        `IOException`